> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add existing contacts to a list

> Add contact records that have already been created in the system to a contact list. You can add multiple records at once, either by vid or by email address. Up to 500 records can be added to a list in a single request. Note that you cannot manually add contacts to dynamic lists.



## OpenAPI

````yaml specs/legacy/v1/crm-lists-v1-contacts.json POST /contacts/v1/lists/{list_id}/add
openapi: 3.0.0
info:
  title: CRM Contact Lists API v1
  version: 1.0.0
  description: Legacy CRM Contact Lists API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/lists/{list_id}/add:
    post:
      summary: Add existing contacts to a list
      description: >-
        Add contact records that have already been created in the system to a
        contact list. You can add multiple records at once, either by vid or by
        email address. Up to 500 records can be added to a list in a single
        request. Note that you cannot manually add contacts to dynamic lists.
      operationId: postcontactsv1listslistidadd
      parameters:
        - name: list_id
          in: path
          required: true
          description: >-
            You need to include the ID for the list you're adding the contacts
            to.
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                vids:
                  type: array
                  items:
                    type: integer
                  description: >-
                    The contact IDs of the contacts that you're adding to the
                    list. Up to 500 total contacts can be added in a single
                    request.
                emails:
                  type: array
                  items:
                    type: string
                  description: >-
                    The email addresses of the contacts that you're adding to
                    the list. Up to 500 total contacts can be added in a single
                    request.
      responses:
        '200':
          description: Successful response with update results
          content:
            application/json:
              schema:
                type: object
                properties:
                  updated:
                    type: array
                    items:
                      type: integer
                  discarded:
                    type: array
                    items:
                      type: integer
                  invalidVids:
                    type: array
                    items:
                      type: integer
                  invalidEmails:
                    type: array
                    items:
                      type: string

````